ros-jazzy-beluga (2.1.0-1noble) noble; urgency=high

  * Beluga compiles with MSVC on Windows (#523 <https://github.com/Ekumen-OS/beluga/issues/523>)
  * Add support for Bazel builds (#521 <https://github.com/Ekumen-OS/beluga/issues/521>)
  * Expose model_unknown_space parameter to ROS2 (#448 <https://github.com/Ekumen-OS/beluga/issues/448>)
  * Add likelihood prob sensor model and enable Beluga's flavour of clustering (#476 <https://github.com/Ekumen-OS/beluga/issues/476>)
  * Add 2D state type to likelihood field sensor model for beluga_vdb (#480 <https://github.com/Ekumen-OS/beluga/issues/480>)
  * Fix to likelihood map pre-calculation performance for large maps (#471 <https://github.com/Ekumen-OS/beluga/issues/471>)
  * Contributors: Diego Palma, Gerardo Puga, Nahuel Espinosa, Pablo Vela, Florencia Battocchia

 -- Gerardo Puga <glpuga@ekumenlabs.com>  Tue, 25 Nov 2025 03:00:00 -0000

ros-jazzy-beluga (2.0.2-1noble) noble; urgency=high

  * Use no-gnu-zero-variadic-macro-arguments only with clang-tidy (#391 <https://github.com/Ekumen-OS/beluga/issues/391>)
  * Add 3D NDT sensor model and tests. (#400 <https://github.com/Ekumen-OS/beluga/issues/400>)
  * Expand grid concepts to n dimensions (#396 <https://github.com/Ekumen-OS/beluga/issues/396>)
  * Add cast from hsize_t to size_t (#392 <https://github.com/Ekumen-OS/beluga/issues/392>)
  * Contributors: Nahuel Espinosa, Ramiro Serra

 -- Gerardo Puga <glpuga@ekumenlabs.com>  Tue, 18 Jun 2024 03:00:00 -0000

ros-jazzy-beluga (2.0.1-1noble) noble; urgency=high

  * Support 32-bit hashes (#386 <https://github.com/Ekumen-OS/beluga/issues/386>)
  * Rewrite make_from_state as a function object (#384 <https://github.com/Ekumen-OS/beluga/issues/384>)
  * Contributors: Alon Druck, Nahuel Espinosa

 -- Gerardo Puga <glpuga@ekumenlabs.com>  Fri, 24 May 2024 03:00:00 -0000

ros-jazzy-beluga (2.0.0-1noble) noble; urgency=high

  * Please clang-tidy on Ubuntu Noble (#379 <https://github.com/Ekumen-OS/beluga/issues/379>)
  * Add ROS 2 Jazzy to CI/CD and dev workflows (#378 <https://github.com/Ekumen-OS/beluga/issues/378>)
  * Restore particle cloud visualization using markers (#377 <https://github.com/Ekumen-OS/beluga/issues/377>)
  * Ensure we exercise random state generation every time (#371 <https://github.com/Ekumen-OS/beluga/issues/371>)
  * Add example for NDT sensor model in beluga_example (#360 <https://github.com/Ekumen-OS/beluga/issues/360>)
  * Unify Beluga documentation (#346 <https://github.com/Ekumen-OS/beluga/issues/346>)
  * Transition Beluga to Noble with Rolling (#349 <https://github.com/Ekumen-OS/beluga/issues/349>)
  * Provide sensible defaults for LikelihoodFieldModelParam (#344 <https://github.com/Ekumen-OS/beluga/issues/344>)
  * Add a core AMCL pipeline (#343 <https://github.com/Ekumen-OS/beluga/issues/343>)
  * Add NDT sensor model (#338 <https://github.com/Ekumen-OS/beluga/issues/338>)
  * Add sparse value grid implementation (#336 <https://github.com/Ekumen-OS/beluga/issues/336>)
  * Add HDF5 dependency to beluga core (#335 <https://github.com/Ekumen-OS/beluga/issues/335>)
  * Deprecate all the (mixin) things (#330 <https://github.com/Ekumen-OS/beluga/issues/330>)
  * Add death tests and build in debug mode (#323 <https://github.com/Ekumen-OS/beluga/issues/323>)
  * Remove (unused) cluster customization point object (#331 <https://github.com/Ekumen-OS/beluga/issues/331>)
  * Fix landmark models probability aggregation formula (#329 <https://github.com/Ekumen-OS/beluga/issues/329>)
  * Add AMCL implementation for ROS (#327 <https://github.com/Ekumen-OS/beluga/issues/327>)
  * Migrate sensor models to functional form (#325 <https://github.com/Ekumen-OS/beluga/issues/325>)
  * Use AlignedBox3d as LandmarkMapBoundaries (#326 <https://github.com/Ekumen-OS/beluga/issues/326>)
  * Relocate make_random_state() method (#324 <https://github.com/Ekumen-OS/beluga/issues/324>)
  * Add uniform distribution with bounding regions (#322 <https://github.com/Ekumen-OS/beluga/issues/322>)
  * Migrate motion models to functional form (#321 <https://github.com/Ekumen-OS/beluga/issues/321>)
  * Add generic circular array container (#320 <https://github.com/Ekumen-OS/beluga/issues/320>)
  * Add uniform free-space grid distribution (#319 <https://github.com/Ekumen-OS/beluga/issues/319>)
  * Make test matchers and printers available to users (#300 <https://github.com/Ekumen-OS/beluga/issues/300>)
  * Extend multivariate distribution to support different result types (#298 <https://github.com/Ekumen-OS/beluga/issues/298>)
  * Add normalize action (#297 <https://github.com/Ekumen-OS/beluga/issues/297>)
  * Extend sample view to sample from random distributions (#296 <https://github.com/Ekumen-OS/beluga/issues/296>)
  * Add recovery probability estimator (#295 <https://github.com/Ekumen-OS/beluga/issues/295>)
  * Add declarative policies (#294 <https://github.com/Ekumen-OS/beluga/issues/294>)
  * Add ESS algorithm (#290 <https://github.com/Ekumen-OS/beluga/issues/290>)
  * Motion and sensor models are not mixins (#291 <https://github.com/Ekumen-OS/beluga/issues/291>)
  * Add propagate and reweight actions (#289 <https://github.com/Ekumen-OS/beluga/issues/289>)
  * Fix sample view (#288 <https://github.com/Ekumen-OS/beluga/issues/288>)
  * Add assign action (#287 <https://github.com/Ekumen-OS/beluga/issues/287>)
  * Add zip view and fix tuple vector traits (#286 <https://github.com/Ekumen-OS/beluga/issues/286>)
  * Add support for tuple vector assignment and conversion (#285 <https://github.com/Ekumen-OS/beluga/issues/285>)
  * Integrate views with mixins (#284 <https://github.com/Ekumen-OS/beluga/issues/284>)
  * Improve take_while_kld implementation (#282 <https://github.com/Ekumen-OS/beluga/issues/282>)
  * Add sample view (#281 <https://github.com/Ekumen-OS/beluga/issues/281>)
  * Minor fixes to forward_like test (#283 <https://github.com/Ekumen-OS/beluga/issues/283>)
  * What is a particle? (#280 <https://github.com/Ekumen-OS/beluga/issues/280>)
  * Add random intersperse view (#278 <https://github.com/Ekumen-OS/beluga/issues/278>)
  * Add take_while_kld view (#277 <https://github.com/Ekumen-OS/beluga/issues/277>)
  * Improve spatial_hash function to avoid spatial periodicity in the hash function (#273 <https://github.com/Ekumen-OS/beluga/issues/273>)
  * Rework generic data access (#272 <https://github.com/Ekumen-OS/beluga/issues/272>)
  * Generalize planar laser scan support (#271 <https://github.com/Ekumen-OS/beluga/issues/271>)
  * Add new discrete landmark and bearing sensor models to the beluga library (#268 <https://github.com/Ekumen-OS/beluga/issues/268>)
  * Fix differential drive motion model (#267 <https://github.com/Ekumen-OS/beluga/issues/267>)
  * Use double buffering in particle storage (#266 <https://github.com/Ekumen-OS/beluga/issues/266>)
  * Add cmake-format to pre-commit hooks (#243 <https://github.com/Ekumen-OS/beluga/issues/243>)
  * Refactor resampling policies into filter update control (#233 <https://github.com/Ekumen-OS/beluga/issues/233>)
  * Avoid building docs by default (#234 <https://github.com/Ekumen-OS/beluga/issues/234>)
  * List documentation deps in package.xml (#228 <https://github.com/Ekumen-OS/beluga/issues/228>)
  * Add ROS Noetic CI infrastructure (#217 <https://github.com/Ekumen-OS/beluga/issues/217>)
  * Support beluga builds on Ubuntu Focal (#209 <https://github.com/Ekumen-OS/beluga/issues/209>)
  * Extend raycast microbenchmarks (#201 <https://github.com/Ekumen-OS/beluga/issues/201>)
  * Optimize likelihood field model runtime performance (#199 <https://github.com/Ekumen-OS/beluga/issues/199>)
  * Install doxygen-awesome (#204 <https://github.com/Ekumen-OS/beluga/issues/204>)
  * Optimize beam sensor model runtime performance (#200 <https://github.com/Ekumen-OS/beluga/issues/200>)
  * Re-organize infrastructure scripts (#197 <https://github.com/Ekumen-OS/beluga/issues/197>)
  * Add support for map updates in laser localization filters (#189 <https://github.com/Ekumen-OS/beluga/issues/189>)
  * Remove shared_mutexes to address concurrency performance (#195 <https://github.com/Ekumen-OS/beluga/issues/195>)
  * Add missing documentation links (#192 <https://github.com/Ekumen-OS/beluga/issues/192>)
  * Rework occupancy grids (#188 <https://github.com/Ekumen-OS/beluga/issues/188>)
  * Improve documentation and guidelines (#186 <https://github.com/Ekumen-OS/beluga/issues/186>)
  * Fix unbounded weight growth (#181 <https://github.com/Ekumen-OS/beluga/issues/181>)
  * Add service to reinitialize global localization (#157 <https://github.com/Ekumen-OS/beluga/issues/157>)
  * Update pre-commit hooks (#178 <https://github.com/Ekumen-OS/beluga/issues/178>)
  * Update URLs after transfer (#174 <https://github.com/Ekumen-OS/beluga/issues/174>)
  * Update license year to 2023 (#175 <https://github.com/Ekumen-OS/beluga/issues/175>)
  * Add beam sensor model (#160 <https://github.com/Ekumen-OS/beluga/issues/160>)
  * Add WeightedStateEstimator2d mixin (#161 <https://github.com/Ekumen-OS/beluga/issues/161>)
  * Rename importance_sample method to reweight (#158 <https://github.com/Ekumen-OS/beluga/issues/158>)
  * Integrate sensor probabilities across resampling iterations (#149 <https://github.com/Ekumen-OS/beluga/issues/149>)
  * Add support for per-axis resolution when clustering (#146 <https://github.com/Ekumen-OS/beluga/issues/146>)
  * Run clang-tidy in CI instead of using pre-commit for it (#147 <https://github.com/Ekumen-OS/beluga/issues/147>)
  * Rename mixin::make_unique to make_mixin (#152 <https://github.com/Ekumen-OS/beluga/issues/152>)
  * Add strong typedef for particle properties (#144 <https://github.com/Ekumen-OS/beluga/issues/144>)
  * Make tuple vector work seamlessly with pairs (#140 <https://github.com/Ekumen-OS/beluga/issues/140>)
  * Use clang_tidy instead of ament_clang_tidy (#135 <https://github.com/Ekumen-OS/beluga/issues/135>)
  * Select mixin components at runtime (#126 <https://github.com/Ekumen-OS/beluga/issues/126>)
  * Migrate beluga from ament_cmake to cmake (#133 <https://github.com/Ekumen-OS/beluga/issues/133>)
  * Add omnidirectional motion model (#120 <https://github.com/Ekumen-OS/beluga/issues/120>)
  * Add new resampling policies (#119 <https://github.com/Ekumen-OS/beluga/issues/119>)
  * Update list of maintainers (#130 <https://github.com/Ekumen-OS/beluga/issues/130>)
  * Refactor estimation mixin out of the particle filter (#104 <https://github.com/Ekumen-OS/beluga/issues/104>)
  * Make execution policy configurable (#100 <https://github.com/Ekumen-OS/beluga/issues/100>)
  * Refactor laser_callback method (#89 <https://github.com/Ekumen-OS/beluga/issues/89>)
  * Enable warning as errors when building docs (#75 <https://github.com/Ekumen-OS/beluga/issues/75>)
  * Add documentation build step to CI (#74 <https://github.com/Ekumen-OS/beluga/issues/74>)
  * Move spatial_hash.hpp to algorithm (#73 <https://github.com/Ekumen-OS/beluga/issues/73>)
  * Complete beluga documentation (#66 <https://github.com/Ekumen-OS/beluga/issues/66>)
  * Add documentation for motion and sensor models (#61 <https://github.com/Ekumen-OS/beluga/issues/61>)
  * Complete documentation for beluga/algorithm header files (#59 <https://github.com/Ekumen-OS/beluga/issues/59>)
  * Add reinitialize method to the particle filter (#51 <https://github.com/Ekumen-OS/beluga/issues/51>)
  * Add multivariate normal distribution class (#50 <https://github.com/Ekumen-OS/beluga/issues/50>)
  * Add doxygen docs for particle_filter.hpp (#47 <https://github.com/Ekumen-OS/beluga/issues/47>)
  * Parallelize motion model update (#34 <https://github.com/Ekumen-OS/beluga/issues/34>)
  * Integrate differential drive motion model (#33 <https://github.com/Ekumen-OS/beluga/issues/33>)
  * Parallelize sensor model update (#32 <https://github.com/Ekumen-OS/beluga/issues/32>)
  * Add pose estimation publisher (#30 <https://github.com/Ekumen-OS/beluga/issues/30>)
  * Update header files in the beluga package (#29 <https://github.com/Ekumen-OS/beluga/issues/29>)
  * Add differential drive motion model (#28 <https://github.com/Ekumen-OS/beluga/issues/28>)
  * Decouple ROS message types from the observation model (#27 <https://github.com/Ekumen-OS/beluga/issues/27>)
  * Add likelihood field pre-computation (#24 <https://github.com/Ekumen-OS/beluga/issues/24>)
  * Change ROS distro to humble (#22 <https://github.com/Ekumen-OS/beluga/issues/22>)
  * Add tests for particle filter variants (and fix bugs) (#20 <https://github.com/Ekumen-OS/beluga/issues/20>)
  * Enable -Wpedantic and -Wconversion (#16 <https://github.com/Ekumen-OS/beluga/issues/16>)
  * Add license file and copyright notice (#15 <https://github.com/Ekumen-OS/beluga/issues/15>)
  * The great layout change (#14 <https://github.com/Ekumen-OS/beluga/issues/14>)
  * Implement particle filter variants (#12 <https://github.com/Ekumen-OS/beluga/issues/12>)
  * Add sampling utilities and benchmarks (#9 <https://github.com/Ekumen-OS/beluga/issues/9>)
  * Add spatial_hash implementation (#8 <https://github.com/Ekumen-OS/beluga/issues/8>)
  * Add tuple_vector, particle_traits and views::all interface (#6 <https://github.com/Ekumen-OS/beluga/issues/6>)
  * Install conan and add range-v3 as dependency (#5 <https://github.com/Ekumen-OS/beluga/issues/5>)
  * Setup basic infrastructure and CI pipeline (#1 <https://github.com/Ekumen-OS/beluga/issues/1>)
  * Contributors: Gerardo Puga, Guillermo Manzato, Ivan Santiago Paunovic, Michel Hidalgo, Nahuel Espinosa, Olmer Garcia-Bedoya, Ramiro Serra

 -- Gerardo Puga <glpuga@ekumenlabs.com>  Tue, 21 May 2024 03:00:00 -0000


